<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/drawable_bg_map_box"
    tools:context=".ui.MainActivity">

    <com.mapbox.maps.MapView
        android:id="@+id/mapView"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:mapbox_resourcesAccessToken="@string/map_box_public_key"
        app:mapbox_scaleBarBorderWidth="0dp"
        app:mapbox_scaleBarGravity="bottom|end"
        app:mapbox_scaleBarHeight="2dp"
        app:mapbox_scaleBarIsMetricUnits="true"
        app:mapbox_scaleBarMarginBottom="15dp"
        app:mapbox_scaleBarMarginRight="12dp"
        app:mapbox_scaleBarRatio="0.2"
        app:mapbox_scaleBarTextBarMargin="10dp"
        app:mapbox_scaleBarTextBorderWidth="5dp"
        app:mapbox_scaleBarTextColor="@color/home_text_color"
        app:mapbox_scaleBarTextSize="9sp"/>
    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/sos"
        style="@style/MapBoxButtonStyle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="28dp"
        android:layout_marginTop="24dp"
        android:contentDescription="@string/sos"
        android:src="@drawable/background_sos_btn"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />
    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/emergency"
        style="@style/MapBoxButtonStyle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="22dp"
        android:layout_marginBottom="20dp"
        android:contentDescription="@string/emergency"
        android:src="@mipmap/icon_driving_state_emergency"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent" />
    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/zoomLayout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="18dp"
        android:layout_marginEnd="24dp"
        android:orientation="vertical"
        app:divider="@drawable/zoom_divider_line"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent">
        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/zoomOut"
            style="@style/MapBoxButtonStyle"
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:contentDescription="@string/zoom_out"
            android:src="@drawable/background_zoom_out" />
        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/zoomIn"
            style="@style/MapBoxButtonStyle"
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:contentDescription="@string/zoom_in"
            android:src="@drawable/background_zoom_in" />
    </androidx.appcompat.widget.LinearLayoutCompat>
    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/locationTruck"
        style="@style/MapBoxButtonStyle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="24dp"
        android:contentDescription="@string/location_truck"
        android:src="@drawable/background_location_truck"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />
    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/toggleSafetyRange"
        style="@style/MapBoxButtonStyle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="24dp"
        android:contentDescription="@string/toggle_safety_range"
        android:src="@mipmap/icon_map_enable_safety_range_light"
        app:layout_constraintEnd_toEndOf="@id/locationTruck"
        app:layout_constraintStart_toStartOf="@id/locationTruck"
        app:layout_constraintTop_toBottomOf="@id/locationTruck" />
</androidx.constraintlayout.widget.ConstraintLayout>